Page MenuHomePhabricator

cloudvps: wikidata-query project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the wikidata-query project needs to upgrade as soon as possible.

The list of affected VMs is:

  • ldfclient.wikidata-query.eqiad.wmflabs
  • pole.wikidata-query.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/wikidata-query

Event Timeline

aborrero triaged this task as Medium priority.Sep 18 2018, 12:21 PM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 12:21 PM
Smalyshev removed subscribers: JanZerebecki, GWicke, aude, TJones.

By "upgrade", you mean shut down these VMs and create new ones with Stretch, or is it possible to migrate an existing VM?

Krenair updated the task description. (Show Details)Sep 18 2018, 10:53 PM
Krenair added subscribers: TJones, aude, GWicke and 2 others.
Krenair added a subscriber: Krenair.

By "upgrade", you mean shut down these VMs and create new ones with Stretch, or is it possible to migrate an existing VM?

Create new ones and delete the old ones.

OK, gotcha. It's going to take a bit of time as I need to remember the details of the whole setup there... ldfclient should be easy but pole has some setup involved.

Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Sep 27 2018, 6:11 AM
Smalyshev moved this task from Next to Doing on the User-Smalyshev board.Oct 3 2018, 8:07 PM

ldfclient has been migrated.

Smalyshev closed this task as Resolved.Oct 3 2018, 10:37 PM

pole is not needed anymore for now.